## org.biojava.utils
Class JDBCPooledDataSource

    java.lang.Object
      org.biojava.utils.JDBCPooledDataSource

    public class JDBCPooledDataSource

extends java.lang.Object

Returns a DataSource that implements connection pooling Uses Jakarta Commons DBCP and Pool packages. See the description of the dbcp package at http://jakarta.apache.org/commons/dbcp/api/overview-summary.html#overview_description

Author:
  Simon Foote, Len Trigg

Constructor Summary
`JDBCPooledDataSource()`

Method Summary
`static javax.sql.DataSource` `getDataSource(java.lang.String driver, java.lang.String url, java.lang.String user, java.lang.String pass)`
`static void` `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDBCPooledDataSource

    public JDBCPooledDataSource()

Method Detail

### getDataSource

    public static javax.sql.DataSource getDataSource(java.lang.String driver,
                                                     java.lang.String url,
                                                     java.lang.String user,
                                                     java.lang.String pass)
                                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### main

    public static void main(java.lang.String[] args)